Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcontrol.ui.wombat.event
Class ActionEvent

    java.lang.Object
      jcontrol.ui.wombat.event.ActionEvent

All Implemented Interfaces:
  Event

    public class ActionEvent

extends Object
implements Event

A semantic event which indicates that a component-defined action occured. This event is generated by a component (such as a Button) when the component-specific action occurs (such as being pressed). The event is pushed on the global event queue. The application frame continously works the event queue by passing any ActionEvent on to the event's destination ActionListener.

(C) DOMOLOGIC Home Automation GmbH 2005 - 2007

See Also:
  `ActionListener`, `ActionProducer`

Field Summary
`static int` | `BUTTON_PRESSED` A button has been pressed.
`static int` | `BUTTON_RELEASED` A button has been released.
`String` | `command` The command String (optional)
`static int` | `ITEM_SELECTED` A component's entry (in a list or whatever) has been selected.
`static int` | `MENU_ACTION` A menu item has been selected.
`ActionProducer` | `source` The object that created this ActionEvent.
`static int` | `STATE_CHANGED` An component's state has changed (e.g. a check box).
`int` | `type` The type of this action event.
`static int` | `VALUE_CHANGED` A component's value has changed (e.g. in a slider).

Constructor Summary
`ActionEvent(ActionProducer source, int type)` Constructs an ActionEvent.
`ActionEvent(ActionProducer source, int type, String command)` Constructs an ActionEvent.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, getClass, notifyAll, toString, wait`

Field Detail

### BUTTON_RELEASED

    public static final int BUTTON_RELEASED

  A button has been released.

  See Also:
    Constant Field Values

### BUTTON_PRESSED

    public static final int BUTTON_PRESSED

  A button has been pressed.

  See Also:
    Constant Field Values

### MENU_ACTION

    public static final int MENU_ACTION

  A menu item has been selected.

  See Also:
    Constant Field Values

### ITEM_SELECTED

    public static final int ITEM_SELECTED

  A component's entry (in a list or whatever) has been selected.

  See Also:
    Constant Field Values

### VALUE_CHANGED

    public static final int VALUE_CHANGED

  A component's value has changed (e.g. in a slider).

  See Also:
    Constant Field Values

### STATE_CHANGED

    public static final int STATE_CHANGED

  An component's state has changed (e.g. a check box).

  See Also:
    Constant Field Values

### source

    public ActionProducer source

  The object that created this ActionEvent.

### command

    public String command

  The command String (optional)

### type

    public int type

  The type of this action event.

Constructor Detail

### ActionEvent

    public ActionEvent(ActionProducer source,
                       int type)

  Constructs an ActionEvent.

  Parameters:
    `source` - the source component that generated the event.
    `type` - the event type, such as BUTTON_PRESSED.

### ActionEvent

    public ActionEvent(ActionProducer source,
                       int type,
                       String command)

  Constructs an ActionEvent.

  Parameters:
    `source` - the source ActionProducer that generated the event.
    `type` - the event type, such as BUTTON_PRESSED.
    `command` - a String representing the command of this event

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD